Loading...
Searching...
No Matches
Signature.cpp File Reference

signatures for conditional densities More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef string::const_iterator | gtsam::parser::It

## Functions

Signature::Table | gtsam::parser::logic (bool ff, bool ft, bool tf, bool tt)
ostream & | gtsam::operator<< (ostream &os, const Signature::Row &row)
ostream & | gtsam::operator<< (ostream &os, const Signature::Table &table)
ostream & | gtsam::operator<< (std::ostream &os, const Signature &s)
Signature | gtsam::operator| (const DiscreteKey &key, const DiscreteKey &parent)
| Helper function to create Signature objects example: Signature s = D | E;.
Signature | gtsam::operator% (const DiscreteKey &key, const std::string &parent)
| Helper function to create Signature objects example: Signature s(D % "99/1");.
Signature | gtsam::operator% (const DiscreteKey &key, const Signature::Table &parent)
| Helper function to create Signature objects, using table construction directly example: Signature s(D % table);.

## Variables

Signature::Row | gtsam::parser::F {1, 0}
Signature::Row | gtsam::parser::T {0, 1}
struct gtsam::parser::Grammar | gtsam::parser::grammar

## Detailed Description

signatures for conditional densities

Author
  Frank Dellaert

Date
  Feb 27, 2011